﻿<Graph ClassName="RQBiddingProcessP2P" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PX.Data;
using PX.Objects.CS;
using PX.Objects.AP;
using System.Collections;
using PX.Objects.PO;
using PX.Objects.CM;
using PX.Objects.CR;
using PX.TM;
using PX.Objects.AR;
using PX.Objects;
using PX.Objects.RQ;

namespace PX.Objects.RQ
{
    public class RQBiddingProcessP2P : PXGraphExtension<RQBiddingProcess>
    {
        #region Event Handlers
        public void RQRequisitionLine_RowSelected(PXCache cache, PXRowSelectedEventArgs e)
        {
            var row = (RQRequisitionLine)e.Row;
            if (row == null) return;

            PXUIFieldAttribute.SetEnabled(cache,row, false);
            PXUIFieldAttribute.SetEnabled<RQRequisitionLineP2P.usrTargetCost>(cache,row, true);
        }
        #endregion
    }
}]]></CDATA>
</Graph>